//
//  SIDWiFiController.h
//  SocialID
//
//  Created by Renato Neves on 7/24/14.
//  Copyright (c) 2014 Coffee Bean Tech. All rights reserved.
//

#import <Foundation/Foundation.h>

@protocol SIDWiFiController <NSObject>

/**
 Authorizes the given token in the controller
 @param success A block object to be executed when the Wi-Fi authorization completed successfully.
 @param failure A block object to be executed when the Wi-Fi authorization failed. It is triggered when it's not possible to post a request to the controller or if the controller returns an authentication failed response.
 */
- (void) authorizeToken:(NSString *)token
           withResponse:(NSURLResponse *)response
                success:(void (^)())success
                failure:(void (^)(NSError *error))failure;

@end
